declare let appendToPortalFunc: (_name: string, _Component: React.ComponentType<any>) => void;
export declare const appendToPortal: (name: string, Component: React.ComponentType<any>) => void;
export declare const setAppendToPortal: (func?: typeof appendToPortalFunc) => void;
declare let getPortalContainerIdFunc: () => string;
export declare const getPortalContainerId: () => string;
export declare const setGetPortalContainerId: (func?: typeof getPortalContainerIdFunc) => void;
declare const defaultDeleteFromPortalFunc: (_: string) => void;
export declare const deleteFromPortal: (name: string) => void;
export declare const setDeleteFromPortal: (func?: typeof defaultDeleteFromPortalFunc) => void;
declare const defaultIsComponentAddedToPortalFunc: (_: string) => void;
export declare const isComponentAddedToPortal: (name: string) => void;
export declare const setIsComponentAddedToPortal: (func?: typeof defaultIsComponentAddedToPortalFunc) => void;
export {};
